Share via


Express Route Circuit Authorizations - List

Gets all authorizations in an express route circuit.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/authorizations?api-version=2025-05-01

URI Parameters

Name In Required Type Description
circuitName
path True

string

The name of express route circuit.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

AuthorizationListResult

The request has succeeded.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List ExpressRouteCircuit Authorization

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/expressRouteCircuits/circuitName/authorizations?api-version=2025-05-01

Sample response

{
  "value": [
    {
      "name": "MyAuthorization1",
      "etag": "W/\"e33c875f-48df-4a91-b7d3-eb95b5ddbb89\"",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/expressRouteCircuits/circuitName/authorizations/MyAuthorization1",
      "properties": {
        "authorizationKey": "authKey",
        "authorizationUseStatus": "Available",
        "provisioningState": "Succeeded"
      }
    }
  ]
}

Definitions

Name Description
AuthorizationListResult

Paged collection of ExpressRouteCircuitAuthorization items

AuthorizationUseStatus

The authorization use status.

CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

ExpressRouteCircuitAuthorization

Authorization in an ExpressRouteCircuit resource.

ProvisioningState

Provisioning states of a resource.

AuthorizationListResult

Paged collection of ExpressRouteCircuitAuthorization items

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

ExpressRouteCircuitAuthorization[]

The ExpressRouteCircuitAuthorization items on this page

AuthorizationUseStatus

The authorization use status.

Value Description
Available

Available

InUse

InUse

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

ExpressRouteCircuitAuthorization

Authorization in an ExpressRouteCircuit resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

name

string

Name of the resource.

properties.authorizationKey

string

The authorization key.

properties.authorizationUseStatus

AuthorizationUseStatus

The authorization use status.

properties.connectionResourceUri

string

The reference to the ExpressRoute connection resource using the authorization.

properties.provisioningState

ProvisioningState

The provisioning state of the authorization resource.

type

string

Resource type.

ProvisioningState

Provisioning states of a resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting